package com.jxml.quick.qmap;
import java.util.*;

/**
 * Returns false if any qualifier in the list returns false.
 */
public class QQualifierItem implements QQualifier
{
	public int ndx;
	public String value;

	public QQualifierItem(){}

	public QQualifierItem(int ndx, String value)
	{
		this.ndx=ndx;
		this.value=value;
	}

	public boolean acceptable(QIndexedComparableList icl)
	{
		return value.equals(icl.keyList.get(ndx));
	}
}